Debbugs::Libravatar(3pm)

NAME
Debbugs::Libravatar -- Libravatar service handler (mod_perl)

SYNOPSIS
<Location /libravatar>
   SetHandler perl-script
   PerlResponseHandler Debbugs::Libravatar </Location>

DESCRIPTION
Debbugs::Libravatar is a libravatar service handler which will serve libravatar requests. It also contains utility routines which are used by the libravatar.cgi script for those who do not have mod_perl.

BUGS
None known.

retrieve_libravatar
         $cache_location = retrieve_libravatar(location => $cache_location,
                                               email => lc($param{email}),
                                              );

    Returns the cache location where a specific avatar can be loaded. If there isn't a matching avatar, or there is an error, returns undef.